# $Revision: 1.37 $, $Date: 2010/08/21 19:07:41 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	Table
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - automate table creation
Summary(pl.UTF-8):	%{_pearname} - automatyzacja tworzenia tabel
Name:		php-pear-%{_pearname}
Version:	1.5.6
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	00f3cbd725ce1080e85aa8cb59f6534c
URL:		http://pear.php.net/package/DB_Table/
BuildRequires:	php-pear-PEAR >= 1:1.6.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Suggests:	php-pear-DB
Suggests:	php-pear-HTML_QuickForm
Suggests:	php-pear-MDB2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTML/QuickForm.*)' 'pear(DB.*)' 'pear(MDB2.*)'

%description
Builds on PEAR DB to abstract datatypes and automate table creation,
data validation, insert, update, delete, and select; combines these
with PEAR HTML_QuickForm to automatically generate input forms that
match the table column definitions.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa zbudowana na PEAR DB do wyabstrahowania typów danych i
zautomatyzowania tworzenia tabel, sprawdzania poprawności danych,
wstawiania, modyfikowania, usuwania i wybierania rekordów; łączy je z
PEAR HTML_QuickForm w celu automatycznego generowania formularzy
wejściowych pasujących do definicji kolumn tabel.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_Table.spec,v $
Revision 1.37  2010/08/21 19:07:41  glen
- updated deps with pearize.sh
- release 2

Revision 1.36  2008/12/26 01:45:10  adamg
- updated to 1.5.6

Revision 1.35  2008/06/19 12:54:51  adamg
- updated to 1.5.5

Revision 1.34  2008/06/07 10:12:59  adamg
- updated to 1.5.3

Revision 1.33  2008-05-17 18:06:26  adamg
- updated to 1.5.2

Revision 1.32  2008-05-02 23:10:06  adamg
- updated to 1.5.1

Revision 1.31  2008-01-31 12:16:48  glen
- rel 3

Revision 1.30  2007-08-23 12:25:10  adamg
- strict BR (php-pear-PEAR >= 1:1.6.1)
- release 2

Revision 1.29  2007/08/23 10:08:08  adamg
- updated to 1.5.0

Revision 1.28  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.26  2006/11/26 20:24:40  glen
- 1.4.0

Revision 1.25  2006/08/06 12:16:41  adamg
- updated to 1.3.2

Revision 1.24  2006/07/19 09:40:16  adamg
- updated to 1.3.1

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/04/30 06:28:44  adamg
- updated to 1.3.0

Revision 1.21  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.20  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.17  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.16  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.15  2005/09/20 22:00:46  glen
- 1.2.1

Revision 1.14  2005/09/20 18:24:58  glen
- use new pear packaging

Revision 1.13  2005/08/29 18:25:15  adamg
- updated to 1.2.0

Revision 1.12  2005/08/07 19:47:16  adamg
- updated to 1.1.0

Revision 1.11  2005/03/27 12:52:01  adamg
- updated to 1.0.0

Revision 1.10  2005/01/01 09:23:06  adamg
- updated to 0.23.0

Revision 1.9  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.8  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.7  2004/10/30 07:21:03  adamg
- updated to 0.22.0

Revision 1.6  2004/07/12 17:00:54  adamg
- updated to 0.21.2

Revision 1.5  2004/07/11 17:58:14  adamg
- fixed URL

Revision 1.4  2004/07/11 17:57:15  adamg
- updated to 0.21

Revision 1.3  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.2  2004/05/04 18:56:10  qboosh
- pl desc

Revision 1.1  2004/05/02 12:35:00  adamg
- new
